Bug 1272805 - [abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP
[abrt] gnome-shell: _g_log_abort(): gnome-shell killed by SIGTRAP
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ae121234630b0576ffea157748b...
:
: 1329796 1334623 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 20:17 EDT by Martín Cigorraga
Modified: 2016-12-20 10:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:03:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.15 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: core_backtrace (4.95 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: dso_list (25.29 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: environ (1.77 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: maps (221.52 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: mountinfo (3.81 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: open_fds (4.80 KB, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: proc_pid_status (1018 bytes, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details
File: var_log_messages (401 bytes, text/plain)
2015-10-18 20:17 EDT, Martín Cigorraga
no flags Details

  None (edit)
Description Martín Cigorraga 2015-10-18 20:17:10 EDT
Version-Release number of selected component:
gnome-shell-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     7818
kernel:         4.2.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 _g_log_abort at gmessages.c:324
 #5 xkl_process_error at xklavier_evt.c:541
 #9 _XEventsQueued at xcb_io.c:364
 #10 XPending at Pending.c:55
 #11 gdk_check_xpending at gdkeventsource.c:266
 #12 gdk_event_source_prepare at gdkeventsource.c:284
 #13 g_main_context_prepare at gmain.c:3442
 #16 meta_run at core/main.c:437
Comment 1 Martín Cigorraga 2015-10-18 20:17:15 EDT
Created attachment 1084215 [details]
File: backtrace
Comment 2 Martín Cigorraga 2015-10-18 20:17:17 EDT
Created attachment 1084216 [details]
File: cgroup
Comment 3 Martín Cigorraga 2015-10-18 20:17:18 EDT
Created attachment 1084217 [details]
File: core_backtrace
Comment 4 Martín Cigorraga 2015-10-18 20:17:20 EDT
Created attachment 1084218 [details]
File: dso_list
Comment 5 Martín Cigorraga 2015-10-18 20:17:22 EDT
Created attachment 1084219 [details]
File: environ
Comment 6 Martín Cigorraga 2015-10-18 20:17:24 EDT
Created attachment 1084220 [details]
File: limits
Comment 7 Martín Cigorraga 2015-10-18 20:17:29 EDT
Created attachment 1084221 [details]
File: maps
Comment 8 Martín Cigorraga 2015-10-18 20:17:31 EDT
Created attachment 1084223 [details]
File: mountinfo
Comment 9 Martín Cigorraga 2015-10-18 20:17:32 EDT
Created attachment 1084224 [details]
File: namespaces
Comment 10 Martín Cigorraga 2015-10-18 20:17:34 EDT
Created attachment 1084225 [details]
File: open_fds
Comment 11 Martín Cigorraga 2015-10-18 20:17:36 EDT
Created attachment 1084226 [details]
File: proc_pid_status
Comment 12 Martín Cigorraga 2015-10-18 20:17:37 EDT
Created attachment 1084227 [details]
File: var_log_messages
Comment 13 Joachim Frieben 2016-04-07 08:07:37 EDT
Similar problem has been detected:

Issue occurred after launching firefox-45.0.1-2.fc23 in a GNOME on Wayland session in a virtual machine -after- upgrading from xorg-x11-server-1.18.1-3.fc23 to xorg-x11-server-1.18.3-1.fc23. Downgrading the corresponding packages restores correct behaviour.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: _g_log_abort
executable:     /usr/bin/gnome-shell
global_pid:     1662
kernel:         4.4.6-300.fc23.x86_64
package:        gnome-shell-3.18.4-1.fc23
reason:         gnome-shell killed by SIGTRAP
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 14 sheepdestroyer 2016-04-23 01:49:24 EDT
*** Bug 1329796 has been marked as a duplicate of this bug. ***
Comment 15 Per Jonsson 2016-05-10 03:49:14 EDT
*** Bug 1334623 has been marked as a duplicate of this bug. ***
Comment 16 Joachim Frieben 2016-07-20 01:08:07 EDT
Issue was fixed in Fedora 24 by upgrading to xorg-x11-server-1.18.4-1.fc24. A corresponding build for Fedora 23 is highly desirable.
Comment 17 Fedora End Of Life 2016-11-24 07:50:14 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2016-12-20 10:03:36 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.